/* (c) https://github.com/MontiCore/monticore */
// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: simulationController.proto

package protobuf;

public interface VehicleSimulationDataFrameOrBuilder extends
    // @@protoc_insertion_point(interface_extends:SimulationController.VehicleSimulationDataFrame)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>string vehicleID = 1;</code>
   */
  java.lang.String getVehicleID();
  /**
   * <code>string vehicleID = 1;</code>
   */
  com.google.protobuf.ByteString
      getVehicleIDBytes();

  /**
   * <code>repeated .SimulationController.PlannedTrajectory plannedTrajectory = 2;</code>
   */
  java.util.List<protobuf.PlannedTrajectory> 
      getPlannedTrajectoryList();
  /**
   * <code>repeated .SimulationController.PlannedTrajectory plannedTrajectory = 2;</code>
   */
  protobuf.PlannedTrajectory getPlannedTrajectory(int index);
  /**
   * <code>repeated .SimulationController.PlannedTrajectory plannedTrajectory = 2;</code>
   */
  int getPlannedTrajectoryCount();
  /**
   * <code>repeated .SimulationController.PlannedTrajectory plannedTrajectory = 2;</code>
   */
  java.util.List<? extends protobuf.PlannedTrajectoryOrBuilder> 
      getPlannedTrajectoryOrBuilderList();
  /**
   * <code>repeated .SimulationController.PlannedTrajectory plannedTrajectory = 2;</code>
   */
  protobuf.PlannedTrajectoryOrBuilder getPlannedTrajectoryOrBuilder(
      int index);

  /**
   * <code>repeated .SimulationController.SimulationDataFrame frames = 3;</code>
   */
  java.util.List<protobuf.SimulationDataFrame> 
      getFramesList();
  /**
   * <code>repeated .SimulationController.SimulationDataFrame frames = 3;</code>
   */
  protobuf.SimulationDataFrame getFrames(int index);
  /**
   * <code>repeated .SimulationController.SimulationDataFrame frames = 3;</code>
   */
  int getFramesCount();
  /**
   * <code>repeated .SimulationController.SimulationDataFrame frames = 3;</code>
   */
  java.util.List<? extends protobuf.SimulationDataFrameOrBuilder> 
      getFramesOrBuilderList();
  /**
   * <code>repeated .SimulationController.SimulationDataFrame frames = 3;</code>
   */
  protobuf.SimulationDataFrameOrBuilder getFramesOrBuilder(
      int index);
}
